Bug 880174 - (CVE-2012-2251) CVE-2012-2251 rssh: bypass of rsync -e option filtering
CVE-2012-2251 rssh: bypass of rsync -e option filtering
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121127,repor...
: Security
Depends On: 877279 880989
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 07:33 EST by Tomas Hoger
Modified: 2015-07-31 06:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 13:39:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-11-26 07:33:35 EST
James Clawson reported (see bug 877279) a flaw in the rssh, which allows an attacker to bypass checks intended to prevent invocation of rsync command with -e command line argument (which leads to execution of specified command, bypassing rssh restrictions).

This problem was reported for rssh versions as shipped in Fedora and Debian, which include additional patch adding support for rsync version 3.x.  This additional patch is required, as rsync 3.x overloads -e command line argument - when --server option is also specified, -e is used to pass protocol version and additional flags.  Additional info on the rsync 3.x support can be found in the following bugs:

https://bugzilla.redhat.com/show_bug.cgi?id=485946
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=471803

This patch has never been accepted upstream, hence upstream versions of rssh (up to the current 2.3.3) were not affected by this problem.  rssh packages in EPEL-5 also do not include this patch yet (bug 878113) and are not affected.
Comment 2 Tomas Hoger 2012-11-28 03:03:20 EST
Public now via Debian advisory:

http://www.debian.org/security/2012/dsa-2578

The issue is mentioned in the rssh 2.3.4 release announcement as an issue that did not affect upstream rssh (see comment 0 for details):

http://sourceforge.net/mailarchive/message.php?msg_id=30153369
Comment 3 Tomas Hoger 2012-11-28 06:01:51 EST
Created rssh tracking bugs for this issue

Affects: epel-6 [bug 880989]
Comment 4 Fedora Update System 2012-12-19 03:34:46 EST
rssh-2.3.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Paul Mansfield 2013-01-07 07:10:44 EST
is this going to made available for the Centos 5 epository

I ask because I'm stuck with C5.8 on a number of servers and need rssh. I did try rolling my own rssh package from the published source, but without the debian patch for 2.3.4 being applied, it breaks because the connecting rsync host issuing the -e.Lsf argument.

thanks
Comment 6 Tomas Hoger 2013-01-07 07:24:03 EST
This issue did not affect CentOS 5 as explained in comment #0.  However, other issues do (bug 880992 / bug 880177 and bug 820416 / bug 820414).  EPEL package maintainer has not commented on any of the related bugs yet.

If you're building from source, try rebuilding current Fedora SRPM (2.3.4-1):
http://koji.fedoraproject.org/koji/packageinfo?packageID=6868
Comment 8 Fedora Update System 2013-01-11 20:00:26 EST
rssh-2.3.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.